Index: anches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/web/index.html
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/web/index.html	(revision 8837)
+++ 	(revision )
@@ -1,354 +1,0 @@
-<html>
-
-  <head>
-
-    <title>NEMO Trusting Dashboard</title>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
-    <script type="text/javascript" src="html/sortabletable.js"></script>
-    <link type="text/css" rel="StyleSheet" href="html/sortabletable.css" />
-    <link rel="stylesheet" href="html/tab-view.css" type="text/css" media="screen">
-    <script type="text/javascript" src="html/tab-view.js"></script>
-    <style type="text/css">
-      body    { font-family:Helvetica, Arial, Sans-Serif;                      	    	      }
-      a1      { color:#000000; text-decoration:none;                           	    	      }
-      .title  { background:#AABBBB; font-weight:bold;                          	    	      }
-      .even   { background:#eee;                                               	    	      }
-      .odd    { background:#ddd;                                               	    	      }
-      td      { font-family:Arial    ; font-size:10pt; padding:1px 5px 1px 5px;	    	      }
-      .td1    { font-family:Monospace; font-size:10pt; padding:1px 5px 1px 5px;	    	      }
-      .table1 { background:#E6EEC9; border-collapse:collapse;                  	    	      }
-      .table2 { background:#E6EEC9; border-collapse:collapse;                  	    	      }
-      .myh3   { font-weight:bold; font-style:italic; font-family:Arial,Helvetica,sans-serif
-                background-color:#FFD700; border:2px outset #FFFFFF
-                padding: 1px 20px 1px 20px; width:120px; -moz-border-radius:6px 6px 6px 6px;  }
-    </style>
-
-  </head>
-
-  <body>
-
-    <?php
-       ini_set('display_errors', 'Off'); error_reporting(E_ALL);
-       include 'read_trusting.php';
-       $TRUST_URL_TGCC="http://dods.extra.cea.fr/store/martin/trusting"; $TRUST_URL_IDRIS="http://dodsp.idris.fr/romr005/trusting";
-       $file_headers=get_headers("${TRUST_URL_TGCC}/ORCA2_LIM_PISCES/nemo_v3_6_STABLE/trusting_info.html");
-       if ($file_headers[0] == '' ) { $LOCATION="./src/martin"; } else { $LOCATION="${TRUST_URL_TGCC}"; }
-    ?>
-
-       <!--$ctx=stream_context_create(array('http'=>array('timeout'=>1)));
-       $test=file_get_contents("${TRUST_URL_TGCC}/ORCA2_LIM_PISCES/nemo_v3_6_STABLE/trusting_info.html", 0, $ctx);
-       if ($test == FALSE ) { $LOCATION="./src/martin"; } else { $LOCATION="${TRUST_URL_TGCC}"; }-->
-
-    <!-----Begin NEMO trust----->
-    <div id="dhtmlgoodies_tabViewNEMO">
-
-      <!-----Begin v36 trust----->
-      <?php $BRANCH="nemo_v3_6_STABLE" ?>
-      <div class="dhtmlgoodies_aTab">
-	<div id="dhtmlgoodies_tabViewConf">
-
-	  <!-----Begin O2LP trust----->
-	  <div class="dhtmlgoodies_aTab">
-	    <?php $CONF="ORCA2_LIM_PISCES"; echo file_get_contents("$LOCATION/$CONF/$BRANCH/trusting_info.html"); ?>
-	    <div id="dhtmlgoodies_tabViewHPCC">
-
-	      <!-----Begin Curie trust----->
-	      <div class="dhtmlgoodies_aTab">
-		<table class="sort-table" id="table-1" cellspacing="1">
-		  <?php read_trusting("$LOCATION/$CONF/$BRANCH/trusting_martin_X64_CURIE_cron.txt") ?>
-		</table>
-		<script type="text/javascript">
-		  var st = new SortableTable( document.getElementById("table-1"),
-	                   [<?php print substr(str_repeat("\"String\",", $num),0,-1); ?>]);
-		  st.sort(0, true);
-		</script>
-	      </div>
-	      <!-----End Curie trust----->
-
-	      <!-----Begin Ada trust----->
-	      <div class="dhtmlgoodies_aTab">
-		<table class="sort-table" id="table-2" cellspacing="1">
-		  <?php read_trusting("${TRUST_URL_IDRIS}/$CONF/$BRANCH/trusting_romr005_X64_ADA_at.txt") ?>
-		</table>
-		<script type="text/javascript">
-		  var st = new SortableTable( document.getElementById("table-2"),
-		           [<?php print substr(str_repeat("\"String\",", $num),0,-1); ?>]);
-		  st.sort(0, true);
-		</script>
-	      </div>
-	      <!-----End Ada trust----->
-
-	    </div>
-	  </div>
-	  <!-----End O2LP trust----->
-
-	  <!-----Begin O1L3P trust----->
-	  <div class="dhtmlgoodies_aTab">
-	    <?php $CONF="ORCA1_LIM3_PISCES"; echo file_get_contents("$LOCATION/$CONF/$BRANCH/trusting_info.html") ?>
-	    <div id="dhtmlgoodies_tabViewHPCC2">
-
-	      <!-----Begin Curie trust----->
-	      <div class="dhtmlgoodies_aTab">
-		<table class="sort-table" id="table-3" cellspacing="1">
-		  <?php read_trusting("$LOCATION/$CONF/$BRANCH/trusting_martin_X64_CURIE_cron.txt") ?>
-		</table>
-		<script type="text/javascript">
-		  var st = new SortableTable( document.getElementById("table-3"),
-	                   [<?php print substr(str_repeat("\"String\",", $num),0,-1); ?>]);
-		  st.sort(0, true);
-		</script>
-	      </div>
-	      <!-----End Curie trust----->
-
-	      <!-----Begin Ada trust----->
-	      <div class="dhtmlgoodies_aTab">
-		<table class="sort-table" id="table-4" cellspacing="1">
-		  <?php read_trusting("${TRUST_URL_IDRIS}/$CONF/$BRANCH/trusting_romr005_X64_ADA_at.txt") ?>
-		</table>
-		<script type="text/javascript">
-		  var st = new SortableTable( document.getElementById("table-4"),
-		           [<?php print substr(str_repeat("\"String\",", $num),0,-1); ?>]);
-		  st.sort(0, true);
-		</script>
-	      </div>
-	      <!-----End Ada trust----->
-
-	    </div>
-	  </div>
-	  <!-----End O1L3P trust----->
-
-	  <!-----Begin AMM12 trust----->
-	  <div class="dhtmlgoodies_aTab">
-	    <?php $CONF="AMM12"; echo file_get_contents("$LOCATION/$CONF/$BRANCH/trusting_info.html") ?>
-	    <div id="dhtmlgoodies_tabViewHPCC3">
-
-	      <!-----Begin Curie trust----->
-	      <div class="dhtmlgoodies_aTab">
-		<table class="sort-table" id="table-5" cellspacing="1">
-		  <?php read_trusting("$LOCATION/$CONF/$BRANCH/trusting_martin_X64_CURIE_cron.txt") ?>
-		</table>
-		<script type="text/javascript">
-		  var st = new SortableTable( document.getElementById("table-5"),
-	                   [<?php print substr(str_repeat("\"String\",", $num),0,-1); ?>]);
-		  st.sort(0, true);
-		</script>
-	      </div>
-	      <!-----End Curie trust----->
-
-	      <!-----Begin Ada trust----->
-	      <div class="dhtmlgoodies_aTab">
-		<table class="sort-table" id="table-6" cellspacing="1">
-		  <?php read_trusting("${TRUST_URL_IDRIS}/$CONF/$BRANCH/trusting_romr005_X64_ADA_at.txt") ?>
-		</table>
-		<script type="text/javascript">
-		  var st = new SortableTable( document.getElementById("table-6"),
-		           [<?php print substr(str_repeat("\"String\",", $num),0,-1); ?>]);
-		  st.sort(0, true);
-		</script>
-	      </div>
-	      <!-----End Ada trust----->
-
-	    </div>
-	  </div>
-	  <!-----End AMM12 trust----->
-
-	</div>
-      </div>
-      <!-----End v36 trust----->
-
-
-      <!-----Begin trunk trust----->
-      <?php $BRANCH="trunk" ?>
-      <div class="dhtmlgoodies_aTab">
-	<div id="dhtmlgoodies_tabViewConf2">
-
-	  <!-----Begin O2LP trust----->
-	  <div class="dhtmlgoodies_aTab">
-	    <?php $CONF="ORCA2_LIM_PISCES"; echo file_get_contents("$LOCATION/$CONF/$BRANCH/trusting_info.html") ?>
-	    <div id="dhtmlgoodies_tabViewHPCC4">
-
-	      <!-----Begin Curie trust----->
-	      <div class="dhtmlgoodies_aTab">
-		<table class="sort-table" id="table-7" cellspacing="1">
-		  <?php read_trusting("$LOCATION/$CONF/$BRANCH/trusting_martin_X64_CURIE_cron.txt") ?>
-		</table>
-		<script type="text/javascript">
-		  var st = new SortableTable( document.getElementById("table-7"),
-		           [<?php print substr(str_repeat("\"String\",", $num),0,-1); ?>]);
-		  st.sort(0, true);
-		</script>
-	      </div>
-	      <!-----End   Curie trust----->
-
-	      <!-----Begin Ada trust----->
-	      <div class="dhtmlgoodies_aTab">
-		<table class="sort-table" id="table-8" cellspacing="1">
-		  <?php read_trusting("${TRUST_URL_IDRIS}/$CONF/$BRANCH/trusting_romr005_X64_ADA_at.txt") ?>
-		</table>
-		<script type="text/javascript">
-		  var st = new SortableTable( document.getElementById("table-8"),
-		           [<?php print substr(str_repeat("\"String\",", $num),0,-1); ?>]);
-		  st.sort(0, true);
-		</script>
-	      </div>
-	      <!-----End Ada trust----->
-
-	    </div>
-	  </div>
-	  <!-----End O2LP trust----->
-
-	  <!-----Begin O1L3P trust----->
-	  <div class="dhtmlgoodies_aTab">
-	    <?php $CONF="ORCA1_LIM3_PISCES"; echo file_get_contents("$LOCATION/$CONF/$BRANCH/trusting_info.html") ?>
-	    <div id="dhtmlgoodies_tabViewHPCC5">
-
-	      <!-----Begin Curie trust----->
-	      <div class="dhtmlgoodies_aTab">
-		<table class="sort-table" id="table-9" cellspacing="1">
-		  <?php read_trusting("$LOCATION/$CONF/$BRANCH/trusting_martin_X64_CURIE_cron.txt") ?>
-		</table>
-		<script type="text/javascript">
-		  var st = new SortableTable( document.getElementById("table-9"),
-		           [<?php print substr(str_repeat("\"String\",", $num),0,-1); ?>]);
-		  st.sort(0, true);
-		</script>
-	      </div>
-	      <!-----End   Curie trust----->
-
-	      <!-----Begin Ada trust----->
-	      <div class="dhtmlgoodies_aTab">
-		<table class="sort-table" id="table-10" cellspacing="1">
-		  <?php read_trusting("${TRUST_URL_IDRIS}/$CONF/$BRANCH/trusting_romr005_X64_ADA_at.txt") ?>
-		</table>
-		<script type="text/javascript">
-		  var st = new SortableTable( document.getElementById("table-10"),
-		           [<?php print substr(str_repeat("\"String\",", $num),0,-1); ?>]);
-		  st.sort(0, true);
-		</script>
-	      </div>
-	      <!-----End Ada trust----->
-
-	    </div>
-	  </div>
-	  <!-----End O1L3P trust----->
-
-	  <!-----Begin AMM12 trust----->
-	  <div class="dhtmlgoodies_aTab">
-	    <?php $CONF="AMM12"; echo file_get_contents("$LOCATION/$CONF/$BRANCH/trusting_info.html") ?>
-	    <div id="dhtmlgoodies_tabViewHPCC6">
-
-	      <!-----Begin Curie trust----->
-	      <div class="dhtmlgoodies_aTab">
-		<table class="sort-table" id="table-11" cellspacing="1">
-		  <?php read_trusting("$LOCATION/$CONF/$BRANCH/trusting_martin_X64_CURIE_cron.txt") ?>
-		</table>
-		<script type="text/javascript">
-		  var st = new SortableTable( document.getElementById("table-11"),
-		           [<?php print substr(str_repeat("\"String\",", $num),0,-1); ?>]);
-		  st.sort(0, true);
-		</script>
-	      </div>
-	      <!-----End   Curie trust----->
-
-	      <!-----Begin Ada trust----->
-	      <div class="dhtmlgoodies_aTab">
-		<table class="sort-table" id="table-12" cellspacing="1">
-		  <?php read_trusting("${TRUST_URL_IDRIS}/$CONF/$BRANCH/trusting_romr005_X64_ADA_at.txt") ?>
-		</table>
-		<script type="text/javascript">
-		  var st = new SortableTable( document.getElementById("table-12"),
-		           [<?php print substr(str_repeat("\"String\",", $num),0,-1); ?>]);
-		  st.sort(0, true);
-		</script>
-	      </div>
-	      <!-----End Ada trust----->
-
-	    </div>
-	  </div>
-	  <!-----End O1L3P trust----->
-
-	</div>
-      </div>
-      <!-----End trunk trust----->
-
-    </div>
-    <!-----End NEMO trust----->
-
-    <!-------------------------------------------------------------------------------------------->
-    <script type="text/javascript">
-      initTabs('dhtmlgoodies_tabViewNEMO'        ,
-               Array('<B>&nbsp;3.6&nbsp;  </B>',
-	             '<B>&nbsp;trunk&nbsp;</B>' 
-                                                ),
-               0,1820,15100                      ,
-               Array(false)                       )
-      initTabs('dhtmlgoodies_tabViewConf'                                        ,
-               Array('<B style="color: green">&nbsp;ORCA2_LIM_PISCES&nbsp;  </B>',
-	       	     '<B style="color: green">&nbsp;ORCA1_LIM3_PISCES&nbsp; </B>',
-	       	     '<B style="color: green">&nbsp;AMM12&nbsp;             </B>',
-	       	     '<B style="color: red  ">&nbsp;C1D_PAPA&nbsp;          </B>',
-	       	     '<B style="color: red  ">&nbsp;GYRE&nbsp;              </B>',
-	       	     '<B style="color: red  ">&nbsp;GYRE_BFM&nbsp;          </B>',
-	       	     '<B style="color: red  ">&nbsp;GYRE_PISCES&nbsp;       </B>',
-	       	     '<B style="color: red  ">&nbsp;GYRE_XIOS&nbsp;         </B>',
-	       	     '<B style="color: red  ">&nbsp;ORCA2_LIM&nbsp;         </B>',
-	       	     '<B style="color: red  ">&nbsp;ORCA2_LIM3&nbsp;        </B>',
-	       	     '<B style="color: red  ">&nbsp;ORCA2_LIM_CFC_C14b&nbsp;</B>',
-	       	     '<B style="color: red  ">&nbsp;ORCA2_OFF_PISCES&nbsp;  </B>',
-	       	     '<B style="color: red  ">&nbsp;ORCA2_SAS_LIM&nbsp;     </B>' 
-	                                                                          ),
-               0,1810,15050                                                        ,
-               Array(false)                                                         )
-      initTabs('dhtmlgoodies_tabViewConf2'                                       ,
-               Array('<B style="color: green">&nbsp;ORCA2_LIM_PISCES&nbsp;  </B>',
-	       	     '<B style="color: green">&nbsp;ORCA1_LIM3_PISCES&nbsp; </B>',
-	       	     '<B style="color: green">&nbsp;AMM12&nbsp;             </B>',
-	       	     '<B style="color: red  ">&nbsp;C1D_PAPA&nbsp;          </B>',
-	       	     '<B style="color: red  ">&nbsp;GYRE&nbsp;              </B>',
-	       	     '<B style="color: red  ">&nbsp;GYRE_BFM&nbsp;          </B>',
-	       	     '<B style="color: red  ">&nbsp;GYRE_PISCES&nbsp;       </B>',
-	       	     '<B style="color: red  ">&nbsp;GYRE_XIOS&nbsp;         </B>',
-	       	     '<B style="color: red  ">&nbsp;ORCA2_LIM&nbsp;         </B>',
-	       	     '<B style="color: red  ">&nbsp;ORCA2_LIM3&nbsp;        </B>',
-	       	     '<B style="color: red  ">&nbsp;ORCA2_LIM_CFC_C14b&nbsp;</B>',
-	       	     '<B style="color: red  ">&nbsp;ORCA2_OFF_PISCES&nbsp;  </B>',
-	       	     '<B style="color: red  ">&nbsp;ORCA2_SAS_LIM&nbsp;     </B>' 
-	                                                                          ),
-               0,1810,15050                                                        ,
-               Array(false)                                                         )
-      initTabs('dhtmlgoodies_tabViewHPCC'                         ,
-               Array('<B>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</B>',
-	             '<B>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp; </B>' ),
-               0,1800,15000                                       ,
-               Array(false)                                        )
-      initTabs('dhtmlgoodies_tabViewHPCC2'                        ,
-               Array('<B>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</B>',
-	             '<B>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp; </B>' ),
-               0,1800,15000                                       ,
-               Array(false)                                        )
-      initTabs('dhtmlgoodies_tabViewHPCC3'                        ,
-               Array('<B>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</B>',
-	             '<B>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp; </B>' ),
-               0,1800,15000                                       ,
-               Array(false)                                        )
-      initTabs('dhtmlgoodies_tabViewHPCC4'                        ,
-               Array('<B>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</B>',
-	             '<B>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp; </B>' ),
-               0,1800,15000                                       ,
-               Array(false)                                        )
-      initTabs('dhtmlgoodies_tabViewHPCC5'                        ,
-               Array('<B>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</B>',
-	             '<B>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp; </B>' ),
-               0,1800,15000                                       ,
-               Array(false)                                        )
-      initTabs('dhtmlgoodies_tabViewHPCC6'                        ,
-               Array('<B>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</B>',
-	             '<B>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp; </B>' ),
-               0,1800,15000                                       ,
-               Array(false)                                        )
-    </script>
-    <!-------------------------------------------------------------------------------------------->
-
-  </body>
-
-</html>
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/web/index.php
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/web/index.php	(revision 8837)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/web/index.php	(revision 8838)
@@ -1,354 +1,196 @@
 <html>
 
-  <head>
+    <head>
 
-    <title>Trusting Dashboard</title>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
-    <script type="text/javascript" src="html/sortabletable.js"></script>
-    <link type="text/css" rel="StyleSheet" href="html/sortabletable.css" />
-    <link rel="stylesheet" href="html/tab-view.css" type="text/css" media="screen">
-    <script type="text/javascript" src="html/tab-view.js"></script>
-    <style type="text/css">
-      body    { font-family:Helvetica, Arial, Sans-Serif;                      	    	      }
-      a1      { color:#000000; text-decoration:none;                           	    	      }
-      .title  { background:#AABBBB; font-weight:bold;                          	    	      }
-      .even   { background:#eee;                                               	    	      }
-      .odd    { background:#ddd;                                               	    	      }
-      td      { font-family:Arial    ; font-size:10pt; padding:1px 5px 1px 5px;	    	      }
-      .td1    { font-family:Monospace; font-size:10pt; padding:1px 5px 1px 5px;	    	      }
-      .table1 { background:#E6EEC9; border-collapse:collapse;                  	    	      }
-      .table2 { background:#E6EEC9; border-collapse:collapse;                  	    	      }
-      .myh3   { font-weight:bold; font-style:italic; font-family:Arial,Helvetica,sans-serif
-                background-color:#FFD700; border:2px outset #FFFFFF
-                padding: 1px 20px 1px 20px; width:120px; -moz-border-radius:6px 6px 6px 6px;  }
-    </style>
+	<title>NEMO Trusting Dashboard</title>
+	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+	<script type="text/javascript" src="html/sortabletable.js"></script>
+	<link type="text/css" rel="StyleSheet" href="html/sortabletable.css" />
+	<link rel="stylesheet" href="html/tab-view.css" type="text/css" media="screen">
+	<script type="text/javascript" src="html/tab-view.js"></script>
+	<style type="text/css">
+	 body    { font-family:Helvetica, Arial, Sans-Serif;                      	    	 }
+	 a1      { color:#000000; text-decoration:none;                           	    	 }
+	 .title  { background:#AABBBB; font-weight:bold;                          	    	 }
+	 .even   { background:#eee;                                               	    	 }
+	 .odd    { background:#ddd;                                               	    	 }
+	 td      { font-family:Arial    ; font-size:10pt; padding:1px 5px 1px 5px;	    	 }
+	 .td1    { font-family:Monospace; font-size:10pt; padding:1px 5px 1px 5px;	    	 }
+	 .table1 { background:#E6EEC9; border-collapse:collapse;                  	    	 }
+	 .table2 { background:#E6EEC9; border-collapse:collapse;                  	    	 }
+	 .myh3   { font-weight:bold; font-style:italic; font-family:Arial, Helvetica, sans-serif
+                   background-color:#FFD700; border:2px outset #FFFFFF
+                   padding: 1px 20px 1px 20px; width:120px; -moz-border-radius:6px 6px 6px 6px;  }
+	</style>
 
-  </head>
+    </head>
 
-  <body>
+    <body>
 
-    <?php
-       ini_set('display_errors', 'Off'); error_reporting(E_ALL);
-       include 'read_trusting.php';
-       $DODS_TGCC="http://dods.extra.cea.fr/store/martin/trusting"; $DODS_IDRIS="http://dodsp.idris.fr/romr005/trusting";
-       $ctx=stream_context_create(array('http'=>array('timeout'=>1)));
-       $test=file_get_contents("${DODS_TGCC}/ORCA2_LIM_PISCES/nemo_v3_6_STABLE/trusting_info.html", 0, $ctx);
-       if ($test == FALSE ) { $LOCATION="./src/martin"; } else { $LOCATION="${DODS_TGCC}"; }
-    ?>
+	<?php
+		ini_set( 'display_errors', 'Off' ); error_reporting( E_ALL );
+		include 'read_trusting.php';
 
-    <!--$file_headers=get_headers("${DODS_TGCC}/ORCA2_LIM_PISCES/nemo_v3_6_STABLE/trusting_info.html");
-       if ($file_headers[0] == '' ) { $LOCATION="./src/martin"; } else { $LOCATION="${DODS_TGCC}"; }-->
+	        $DODS_TGCC="https://vesg.ipsl.upmc.fr/thredds/fileServer/store/martin/trusting";
+        	$DODS_IDRIS="http://prodn.idris.fr/thredds/fileServer/ipsl_public/romr005/trusting";
+	        if ( ! get_headers( 'https://vesg.ipsl.upmc.fr/thredds/catalog/catalog.html' ) ) {
+        	        $DIR_TGCC="../src/martin";
+	        }
+        	else {
+	                $DIR_TGCC="${DODS_TGCC}";
+	        }
+	        if ( ! get_headers( 'http://prodn.idris.fr/thredds/catalog/catalog.html' ) ) {
+	                $DIR_IDRIS="../src/romr005";
+	        }
+        	else {
+	                $DIR_IDRIS="${DODS_IDRIS}";
+		}
 
-    <!-----Begin NEMO trust----->
-    <div id="dhtmlgoodies_tabViewNEMO">
+		$LIST_BCHS = array( 'nemo_v3_6_STABLE', 'trunk' );
+		$LIST_CFGS = array( 'ORCA2_LIM_PISCES', 'ORCA2_LIM3_PISCES', 'ORCA1_LIM3_PISCES', 'AMM12' );
+		$LIST_LOGS = array( 'martin', 'romr005' );
+		$i = 1; $j = 1; $k = 1;
+	?>
 
-      <!-----Begin v36 trust----->
-      <?php $BRANCH="nemo_v3_6_STABLE" ?>
-      <div class="dhtmlgoodies_aTab">
-	<div id="dhtmlgoodies_tabViewConf">
+	<!---Branchs Tabs-->
+	<div id="dhtmlgoodies_tabViewBch">
 
-	  <!-----Begin O2LP trust----->
-	  <div class="dhtmlgoodies_aTab">
-	    <?php $CONF="ORCA2_LIM_PISCES"; echo file_get_contents("$LOCATION/$CONF/$BRANCH/trusting_info.html"); ?>
-	    <div id="dhtmlgoodies_tabViewHPCC">
+	    <?php foreach ( $LIST_BCHS as $BCH ) { ?>
 
-	      <!-----Begin Curie trust----->
-	      <div class="dhtmlgoodies_aTab">
-		<table class="sort-table" id="table-1" cellspacing="1">
-		  <?php read_trusting("$LOCATION/$CONF/$BRANCH/trusting_martin_X64_CURIE_cron.txt") ?>
-		</table>
-		<script type="text/javascript">
-		  var st = new SortableTable( document.getElementById("table-1"),
-	                   [<?php print substr(str_repeat("\"String\",", $num),0,-1); ?>]);
-		  st.sort(0, true);
-		</script>
-	      </div>
-	      <!-----End Curie trust----->
+		<!--Configurations Tabs-->
+		<div class="dhtmlgoodies_aTab">
+ 		    <div id="dhtmlgoodies_tabViewCfg<?= $i++ ?>">
 
-	      <!-----Begin Ada trust----->
-	      <div class="dhtmlgoodies_aTab">
-		<table class="sort-table" id="table-2" cellspacing="1">
-		  <?php read_trusting("${DODS_IDRIS}/$CONF/$BRANCH/trusting_romr005_X64_ADA_at.txt") ?>
-		</table>
-		<script type="text/javascript">
-		  var st = new SortableTable( document.getElementById("table-2"),
-		           [<?php print substr(str_repeat("\"String\",", $num),0,-1); ?>]);
-		  st.sort(0, true);
-		</script>
-	      </div>
-	      <!-----End Ada trust----->
+			<?php foreach ( $LIST_CFGS as $CFG ) { ?>
 
-	    </div>
-	  </div>
-	  <!-----End O2LP trust----->
+			    <div class="dhtmlgoodies_aTab">
+				<div id="dhtmlgoodies_tabViewHPCC<?= $j++ ?>">
 
-	  <!-----Begin O1L3P trust----->
-	  <div class="dhtmlgoodies_aTab">
-	    <?php $CONF="ORCA1_LIM3_PISCES"; echo file_get_contents("$LOCATION/$CONF/$BRANCH/trusting_info.html") ?>
-	    <div id="dhtmlgoodies_tabViewHPCC2">
+				    <?php
+					$PATH_INFO = sprintf( "%s/%s/%s", $DIR_TGCC, $CFG, $BCH );
+					if (    ( $BCH == "nemo_v3_6_STABLE" && $CFG == "ORCA2_LIM3_PISCES" )
+					     || ( $BCH == "trunk"            && $CFG == "ORCA2_LIM_PISCES"  )
+					     || ( $BCH == "trunk"            && $CFG == "ORCA1_LIM3_PISCES" ) ) {
+						echo "<p><u>This configuration is not or no longer monitored by the tool.</u></p>";
+					}
+					else {
+						echo file_get_contents( "$PATH_INFO/trusting_info.html" );
+					}
+				    ?>
 
-	      <!-----Begin Curie trust----->
-	      <div class="dhtmlgoodies_aTab">
-		<table class="sort-table" id="table-3" cellspacing="1">
-		  <?php read_trusting("$LOCATION/$CONF/$BRANCH/trusting_martin_X64_CURIE_cron.txt") ?>
-		</table>
-		<script type="text/javascript">
-		  var st = new SortableTable( document.getElementById("table-3"),
-	                   [<?php print substr(str_repeat("\"String\",", $num),0,-1); ?>]);
-		  st.sort(0, true);
-		</script>
-	      </div>
-	      <!-----End Curie trust----->
+				    <!--HPCC Tabs-->
+				    <?php foreach ( $LIST_LOGS as $LOG ) { ?>
 
-	      <!-----Begin Ada trust----->
-	      <div class="dhtmlgoodies_aTab">
-		<table class="sort-table" id="table-4" cellspacing="1">
-		  <?php read_trusting("${DODS_IDRIS}/$CONF/$BRANCH/trusting_romr005_X64_ADA_at.txt") ?>
-		</table>
-		<script type="text/javascript">
-		  var st = new SortableTable( document.getElementById("table-4"),
-		           [<?php print substr(str_repeat("\"String\",", $num),0,-1); ?>]);
-		  st.sort(0, true);
-		</script>
-	      </div>
-	      <!-----End Ada trust----->
+					<div class="dhtmlgoodies_aTab">
 
-	    </div>
-	  </div>
-	  <!-----End O1L3P trust----->
+					    <?php
+						if ( $BCH == "nemo_v3_6_STABLE" && $CFG == "ORCA2_LIM3_PISCES" ) {
+							echo "</div>";
+							continue;
+						}
+                                                else {
+							if ( $LOG == "martin" ) {
+								$FILE = sprintf( "%s/%s/%s/trusting_martin_X64_CURIE_cron.txt", $DIR_TGCC , $CFG, $BCH );
+							}
+							else {
+								$FILE = sprintf( "%s/%s/%s/trusting_romr005_X64_ADA_at.txt"   , $DIR_IDRIS, $CFG, $BCH );
+							}
+						}
+					    ?>
 
-	  <!-----Begin AMM12 trust----->
-	  <div class="dhtmlgoodies_aTab">
-	    <?php $CONF="AMM12"; echo file_get_contents("$LOCATION/$CONF/$BRANCH/trusting_info.html") ?>
-	    <div id="dhtmlgoodies_tabViewHPCC3">
+                                            <a href="<?= $FILE ?>">Plain text</a>
 
-	      <!-----Begin Curie trust----->
-	      <div class="dhtmlgoodies_aTab">
-		<table class="sort-table" id="table-5" cellspacing="1">
-		  <?php read_trusting("$LOCATION/$CONF/$BRANCH/trusting_martin_X64_CURIE_cron.txt") ?>
-		</table>
-		<script type="text/javascript">
-		  var st = new SortableTable( document.getElementById("table-5"),
-	                   [<?php print substr(str_repeat("\"String\",", $num),0,-1); ?>]);
-		  st.sort(0, true);
-		</script>
-	      </div>
-	      <!-----End Curie trust----->
+					    <table class="sort-table" id="table-<?= $k ?>" cellspacing="1">
+                                                <?php read_trusting("$FILE") ?>
+					    </table>
 
-	      <!-----Begin Ada trust----->
-	      <div class="dhtmlgoodies_aTab">
-		<table class="sort-table" id="table-6" cellspacing="1">
-		  <?php read_trusting("${DODS_IDRIS}/$CONF/$BRANCH/trusting_romr005_X64_ADA_at.txt") ?>
-		</table>
-		<script type="text/javascript">
-		  var st = new SortableTable( document.getElementById("table-6"),
-		           [<?php print substr(str_repeat("\"String\",", $num),0,-1); ?>]);
-		  st.sort(0, true);
-		</script>
-	      </div>
-	      <!-----End Ada trust----->
+					    <script type="text/javascript">
+						var st = new SortableTable(document.getElementById("table-<?= $k++ ?>"),
+								[<?php print substr(str_repeat("\"String\",", $num), 0, -1); ?>]);
+						st.sort(0, true);
+					    </script>
 
-	    </div>
-	  </div>
-	  <!-----End AMM12 trust----->
+					</div>
+
+				    <?php } ?>
+
+				</div>
+			    </div>
+
+			<?php } ?>
+
+		    </div>
+		</div>
+
+	    <?php } ?>
 
 	</div>
-      </div>
-      <!-----End v36 trust----->
 
+	<script type="text/javascript">
+	 initTabs('dhtmlgoodies_tabViewBch'           ,
+		  Array('<B> &nbsp;3.6&nbsp;   </B>',
+			'<B> &nbsp;trunk&nbsp; </B>' ),
+		  0,1815,20000                        ,
+		  Array(false)                         )
+	 //minus 33px
+	 initTabs('dhtmlgoodies_tabViewCfg1'                                         ,
+		  Array('<B> &nbsp;ORCA2_LIM_PISCES&nbsp;  </B>'                   ,
+	       		'<B style="color: red"> &nbsp;ORCA2_LIM3_PISCES&nbsp; </B>',
+			'<B> &nbsp;ORCA1_LIM3_PISCES&nbsp; </B>'                   ,
+	       		'<B> &nbsp;AMM12&nbsp;             </B>'                    ),
+		  0,1803,19967                                                       ,
+		  Array(false)                                                        )
+	 initTabs('dhtmlgoodies_tabViewCfg2'                                         ,
+		  Array('<B style="color: red"> &nbsp;ORCA2_LIM_PISCES&nbsp;  </B>',
+                        '<B> &nbsp;ORCA2_LIM3_PISCES&nbsp; </B>'                   ,
+	       		'<B style="color: red"> &nbsp;ORCA1_LIM3_PISCES&nbsp; </B>',
+	       		'<B> &nbsp;AMM12&nbsp;             </B>'                    ),
+		  0,1803,19967                                                       ,
+		  Array(false)                                                        )
+	 //minus 157px or minus 190px from top tab
+	 initTabs('dhtmlgoodies_tabViewHPCC1'                        ,
+		  Array('<b>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</b>',
+			'<b>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp;</b>'  ),
+		  0,1791,19810                                       ,
+		  Array(false)                                        )
+	 initTabs('dhtmlgoodies_tabViewHPCC2'                        ,
+		  Array('<b>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</b>',
+			'<b>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp;</b>'  ),
+		  0,1791,19810                                       ,
+		  Array(false)                                        )
+	 initTabs('dhtmlgoodies_tabViewHPCC3'                        ,
+		  Array('<b>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</b>',
+			'<b>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp;</b>'  ),
+		  0,1791,19810                                       ,
+		  Array(false)                                        )
+	 initTabs('dhtmlgoodies_tabViewHPCC4'                        ,
+		  Array('<b>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</b>',
+			'<b>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp;</b>'  ),
+		  0,1791,19810                                       ,
+		  Array(false)                                        )
+	 initTabs('dhtmlgoodies_tabViewHPCC5'                        ,
+		  Array('<b>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</b>',
+			'<b>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp;</b>'  ),
+		  0,1791,19810                                       ,
+		  Array(false)                                        )
+	 initTabs('dhtmlgoodies_tabViewHPCC6'                        ,
+		  Array('<b>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</b>',
+			'<b>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp;</b>'  ),
+		  0,1791,19810                                       ,
+		  Array(false)                                        )
+         initTabs('dhtmlgoodies_tabViewHPCC7'                        ,
+                  Array('<b>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</b>',
+                        '<b>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp;</b>'  ),
+                  0,1791,19810                                       ,
+                  Array(false)                                        )
+         initTabs('dhtmlgoodies_tabViewHPCC8'                        ,
+                  Array('<b>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</b>',
+                        '<b>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp;</b>'  ),
+                  0,1791,19810                                       ,
+                  Array(false)                                        )
 
-      <!-----Begin trunk trust----->
-      <?php $BRANCH="trunk" ?>
-      <div class="dhtmlgoodies_aTab">
-	<div id="dhtmlgoodies_tabViewConf2">
+	</script>
 
-	  <!-----Begin O2LP trust----->
-	  <div class="dhtmlgoodies_aTab">
-	    <?php $CONF="ORCA2_LIM_PISCES"; echo file_get_contents("$LOCATION/$CONF/$BRANCH/trusting_info.html") ?>
-	    <div id="dhtmlgoodies_tabViewHPCC4">
-
-	      <!-----Begin Curie trust----->
-	      <div class="dhtmlgoodies_aTab">
-		<table class="sort-table" id="table-7" cellspacing="1">
-		  <?php read_trusting("$LOCATION/$CONF/$BRANCH/trusting_martin_X64_CURIE_cron.txt") ?>
-		</table>
-		<script type="text/javascript">
-		  var st = new SortableTable( document.getElementById("table-7"),
-		           [<?php print substr(str_repeat("\"String\",", $num),0,-1); ?>]);
-		  st.sort(0, true);
-		</script>
-	      </div>
-	      <!-----End   Curie trust----->
-
-	      <!-----Begin Ada trust----->
-	      <div class="dhtmlgoodies_aTab">
-		<table class="sort-table" id="table-8" cellspacing="1">
-		  <?php read_trusting("${DODS_IDRIS}/$CONF/$BRANCH/trusting_romr005_X64_ADA_at.txt") ?>
-		</table>
-		<script type="text/javascript">
-		  var st = new SortableTable( document.getElementById("table-8"),
-		           [<?php print substr(str_repeat("\"String\",", $num),0,-1); ?>]);
-		  st.sort(0, true);
-		</script>
-	      </div>
-	      <!-----End Ada trust----->
-
-	    </div>
-	  </div>
-	  <!-----End O2LP trust----->
-
-	  <!-----Begin O1L3P trust----->
-	  <div class="dhtmlgoodies_aTab">
-	    <?php $CONF="ORCA1_LIM3_PISCES"; echo file_get_contents("$LOCATION/$CONF/$BRANCH/trusting_info.html") ?>
-	    <div id="dhtmlgoodies_tabViewHPCC5">
-
-	      <!-----Begin Curie trust----->
-	      <div class="dhtmlgoodies_aTab">
-		<table class="sort-table" id="table-9" cellspacing="1">
-		  <?php read_trusting("$LOCATION/$CONF/$BRANCH/trusting_martin_X64_CURIE_cron.txt") ?>
-		</table>
-		<script type="text/javascript">
-		  var st = new SortableTable( document.getElementById("table-9"),
-		           [<?php print substr(str_repeat("\"String\",", $num),0,-1); ?>]);
-		  st.sort(0, true);
-		</script>
-	      </div>
-	      <!-----End   Curie trust----->
-
-	      <!-----Begin Ada trust----->
-	      <div class="dhtmlgoodies_aTab">
-		<table class="sort-table" id="table-10" cellspacing="1">
-		  <?php read_trusting("${DODS_IDRIS}/$CONF/$BRANCH/trusting_romr005_X64_ADA_at.txt") ?>
-		</table>
-		<script type="text/javascript">
-		  var st = new SortableTable( document.getElementById("table-10"),
-		           [<?php print substr(str_repeat("\"String\",", $num),0,-1); ?>]);
-		  st.sort(0, true);
-		</script>
-	      </div>
-	      <!-----End Ada trust----->
-
-	    </div>
-	  </div>
-	  <!-----End O1L3P trust----->
-
-	  <!-----Begin AMM12 trust----->
-	  <div class="dhtmlgoodies_aTab">
-	    <?php $CONF="AMM12"; echo file_get_contents("$LOCATION/$CONF/$BRANCH/trusting_info.html") ?>
-	    <div id="dhtmlgoodies_tabViewHPCC6">
-
-	      <!-----Begin Curie trust----->
-	      <div class="dhtmlgoodies_aTab">
-		<table class="sort-table" id="table-11" cellspacing="1">
-		  <?php read_trusting("$LOCATION/$CONF/$BRANCH/trusting_martin_X64_CURIE_cron.txt") ?>
-		</table>
-		<script type="text/javascript">
-		  var st = new SortableTable( document.getElementById("table-11"),
-		           [<?php print substr(str_repeat("\"String\",", $num),0,-1); ?>]);
-		  st.sort(0, true);
-		</script>
-	      </div>
-	      <!-----End   Curie trust----->
-
-	      <!-----Begin Ada trust----->
-	      <div class="dhtmlgoodies_aTab">
-		<table class="sort-table" id="table-12" cellspacing="1">
-		  <?php read_trusting("${DODS_IDRIS}/$CONF/$BRANCH/trusting_romr005_X64_ADA_at.txt") ?>
-		</table>
-		<script type="text/javascript">
-		  var st = new SortableTable( document.getElementById("table-12"),
-		           [<?php print substr(str_repeat("\"String\",", $num),0,-1); ?>]);
-		  st.sort(0, true);
-		</script>
-	      </div>
-	      <!-----End Ada trust----->
-
-	    </div>
-	  </div>
-	  <!-----End O1L3P trust----->
-
-	</div>
-      </div>
-      <!-----End trunk trust----->
-
-    </div>
-    <!-----End NEMO trust----->
-
-    <!-------------------------------------------------------------------------------------------->
-    <script type="text/javascript">
-      initTabs('dhtmlgoodies_tabViewNEMO'        ,
-               Array('<B>&nbsp;3.6&nbsp;  </B>',
-	             '<B>&nbsp;trunk&nbsp;</B>' 
-                                                ),
-               0,1820,15100                      ,
-               Array(false)                       )
-      initTabs('dhtmlgoodies_tabViewConf'                                        ,
-               Array('<B style="color: green">&nbsp;ORCA2_LIM_PISCES&nbsp;  </B>',
-	       	     '<B style="color: green">&nbsp;ORCA1_LIM3_PISCES&nbsp; </B>',
-	       	     '<B style="color: green">&nbsp;AMM12&nbsp;             </B>',
-	       	     '<B style="color: red  ">&nbsp;C1D_PAPA&nbsp;          </B>',
-	       	     '<B style="color: red  ">&nbsp;GYRE&nbsp;              </B>',
-	       	     '<B style="color: red  ">&nbsp;GYRE_BFM&nbsp;          </B>',
-	       	     '<B style="color: red  ">&nbsp;GYRE_PISCES&nbsp;       </B>',
-	       	     '<B style="color: red  ">&nbsp;GYRE_XIOS&nbsp;         </B>',
-	       	     '<B style="color: red  ">&nbsp;ORCA2_LIM&nbsp;         </B>',
-	       	     '<B style="color: red  ">&nbsp;ORCA2_LIM3&nbsp;        </B>',
-	       	     '<B style="color: red  ">&nbsp;ORCA2_LIM_CFC_C14b&nbsp;</B>',
-	       	     '<B style="color: red  ">&nbsp;ORCA2_OFF_PISCES&nbsp;  </B>',
-	       	     '<B style="color: red  ">&nbsp;ORCA2_SAS_LIM&nbsp;     </B>' 
-	                                                                          ),
-               0,1810,15050                                                        ,
-               Array(false)                                                         )
-      initTabs('dhtmlgoodies_tabViewConf2'                                       ,
-               Array('<B style="color: green">&nbsp;ORCA2_LIM_PISCES&nbsp;  </B>',
-	       	     '<B style="color: green">&nbsp;ORCA1_LIM3_PISCES&nbsp; </B>',
-	       	     '<B style="color: green">&nbsp;AMM12&nbsp;             </B>',
-	       	     '<B style="color: red  ">&nbsp;C1D_PAPA&nbsp;          </B>',
-	       	     '<B style="color: red  ">&nbsp;GYRE&nbsp;              </B>',
-	       	     '<B style="color: red  ">&nbsp;GYRE_BFM&nbsp;          </B>',
-	       	     '<B style="color: red  ">&nbsp;GYRE_PISCES&nbsp;       </B>',
-	       	     '<B style="color: red  ">&nbsp;GYRE_XIOS&nbsp;         </B>',
-	       	     '<B style="color: red  ">&nbsp;ORCA2_LIM&nbsp;         </B>',
-	       	     '<B style="color: red  ">&nbsp;ORCA2_LIM3&nbsp;        </B>',
-	       	     '<B style="color: red  ">&nbsp;ORCA2_LIM_CFC_C14b&nbsp;</B>',
-	       	     '<B style="color: red  ">&nbsp;ORCA2_OFF_PISCES&nbsp;  </B>',
-	       	     '<B style="color: red  ">&nbsp;ORCA2_SAS_LIM&nbsp;     </B>' 
-	                                                                          ),
-               0,1810,15050                                                        ,
-               Array(false)                                                         )
-      initTabs('dhtmlgoodies_tabViewHPCC'                         ,
-               Array('<B>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</B>',
-	             '<B>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp; </B>' ),
-               0,1800,15000                                       ,
-               Array(false)                                        )
-      initTabs('dhtmlgoodies_tabViewHPCC2'                        ,
-               Array('<B>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</B>',
-	             '<B>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp; </B>' ),
-               0,1800,15000                                       ,
-               Array(false)                                        )
-      initTabs('dhtmlgoodies_tabViewHPCC3'                        ,
-               Array('<B>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</B>',
-	             '<B>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp; </B>' ),
-               0,1800,15000                                       ,
-               Array(false)                                        )
-      initTabs('dhtmlgoodies_tabViewHPCC4'                        ,
-               Array('<B>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</B>',
-	             '<B>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp; </B>' ),
-               0,1800,15000                                       ,
-               Array(false)                                        )
-      initTabs('dhtmlgoodies_tabViewHPCC5'                        ,
-               Array('<B>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</B>',
-	             '<B>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp; </B>' ),
-               0,1800,15000                                       ,
-               Array(false)                                        )
-      initTabs('dhtmlgoodies_tabViewHPCC6'                        ,
-               Array('<B>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</B>',
-	             '<B>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp; </B>' ),
-               0,1800,15000                                       ,
-               Array(false)                                        )
-    </script>
-    <!-------------------------------------------------------------------------------------------->
-
-  </body>
+    </body>
 
 </html>
